Skip to main content
POST
/
workspaces
/
{ws_id}
/
entities
Add entities to workspace
curl --request POST \
  --url https://app.blinkops.com/api/v1/workspaces/{ws_id}/entities \
  --header 'BLINK-API-KEY: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entities": [
    {
      "entity_id": "<string>",
      "name": "<string>",
      "role": "<string>"
    }
  ]
}
'
import requests

url = "https://app.blinkops.com/api/v1/workspaces/{ws_id}/entities"

payload = { "entities": [
{
"entity_id": "<string>",
"name": "<string>",
"role": "<string>"
}
] }
headers = {
"BLINK-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'BLINK-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({entities: [{entity_id: '<string>', name: '<string>', role: '<string>'}]})
};

fetch('https://app.blinkops.com/api/v1/workspaces/{ws_id}/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}

Authorizations

Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.

Path Parameters

ws_id
string
required

Workspace ID

Body

application/json

Entity list

entities
object[]

Response